curl --request POST \
--url https://api.devin.ai/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"idempotent": false,
"knowledge_ids": [
"<string>"
],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": [
"<string>"
],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": true
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": [
"<string>"
],
"title": "<string>",
"unlisted": false
}
'import requests
url = "https://api.devin.ai/v1/sessions"
payload = {
"prompt": "<string>",
"idempotent": False,
"knowledge_ids": ["<string>"],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": ["<string>"],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": True
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": ["<string>"],
"title": "<string>",
"unlisted": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
idempotent: false,
knowledge_ids: ['<string>'],
max_acu_limit: 1,
playbook_id: '<string>',
secret_ids: ['<string>'],
session_secrets: [{key: '<string>', value: '<string>', sensitive: true}],
snapshot_id: '<string>',
structured_output_schema: {},
tags: ['<string>'],
title: '<string>',
unlisted: false
})
};
fetch('https://api.devin.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"url": "<string>",
"is_new_session": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Créer une nouvelle session
Créer une nouvelle session Devin. Vous pouvez facultativement spécifier des paramètres comme l’ID de snapshot et la visibilité de la session.
Autorisations
Clé d’API personnelle (apk_user_*) ou clé d’API de service (apk_*)
Corps
Liste des identifiants de Knowledge à utiliser. Si None, utiliser toutes les Knowledge. Si la liste est vide, ne pas utiliser de Knowledge.
La limite maximale d’ACU doit être positive
x > 0Liste des identifiants de secrets à utiliser. Si None, utiliser tous les secrets. Si la liste est vide, n’utiliser aucun secret.
Liste des secrets propres à cette session. Ces secrets ne sont disponibles que pendant cette session et ne sont pas stockés dans les secrets de l’organisation.
Show child attributes
Show child attributes
Schéma JSON (Draft 7) permettant de valider la sortie structurée. Taille maximale : 64 Ko. Doit être autonome (aucun $ref externe).
Liste des tags à ajouter à la session.
50Titre personnalisé de la session. Si None, un titre sera généré automatiquement.

